LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices



Reply
 
Search this Thread
Old 08-10-2009, 10:07 PM   #1
lemon09
Member
 
Registered: Jun 2009
Location: kolkata,India
Distribution: Mandriva,openSuse,Mint,Debian
Posts: 259
Blog Entries: 1

Rep: Reputation: 35
Problem installing amarok


i have fedora 10 installed in my machine.

i tried to install amarok via yum and i got the following problem:-
Code:
# yum install amarok phonon-backend-gstreamer
Loaded plugins: refresh-packagekit                                 
Setting up Install Process                                         
Parsing package install arguments                                  
Resolving Dependencies                                             
--> Running transaction check                                      
---> Package phonon-backend-gstreamer.i386 0:4.3.1-6.fc10 set to be updated
--> Processing Dependency: phonon = 4.3.1-6.fc10 for package: phonon-backend-gstreamer
---> Package amarok.i386 0:2.1.1-1.fc10 set to be updated                             
--> Processing Dependency: amarok-utils = 2.1.1-1.fc10 for package: amarok            
--> Processing Dependency: qt4 >= 4.5.0 for package: amarok                           
--> Processing Dependency: kdelibs4 >= 4.2.4 for package: amarok                      
--> Processing Dependency: qtscriptbindings for package: amarok                       
--> Processing Dependency: libgpod.so.4 for package: amarok                           
--> Processing Dependency: libplasma.so.3 for package: amarok                         
--> Processing Dependency: libtag-extras.so.0 for package: amarok                     
--> Running transaction check                                                         
---> Package libgpod.i386 0:0.7.0-1.fc10 set to be updated                            
--> Processing Dependency: qt = 1:4.4.3-2.fc10 for package: qt-x11                    
--> Processing Dependency: qt = 1:4.4.3-2.fc10 for package: qt-mysql                  
---> Package phonon.i386 0:4.3.1-6.fc10 set to be updated                             
---> Package amarok-utils.i386 0:2.1.1-1.fc10 set to be updated                       
---> Package kdelibs.i386 6:4.2.4-6.fc10 set to be updated                            
--> Processing Dependency: kde-filesystem >= 4-23 for package: kdelibs                
--> Processing Dependency: soprano(x86-32) >= 2.2 for package: kdelibs                
--> Processing Dependency: strigi-libs(x86-32) >= 0.6.3 for package: kdelibs          
---> Package qt.i386 1:4.5.2-1.fc10 set to be updated                                 
--> Processing Dependency: libgpod.so.3 for package: rhythmbox                        
---> Package taglib-extras.i386 0:0.1.6-1.fc10 set to be updated                      
---> Package qtscriptbindings.i386 0:0.1.0-5.fc10 set to be updated                   
--> Running transaction check                                                         
---> Package strigi-libs.i386 0:0.6.5-2.fc10 set to be updated                        
---> Package qt-x11.i386 1:4.5.2-1.fc10 set to be updated                             
---> Package rhythmbox.i386 0:0.11.6-22.r6096.fc10 set to be updated                  
--> Processing Dependency: libmusicbrainz3.so.6 for package: rhythmbox                
---> Package kde-filesystem.noarch 0:4-23.fc10 set to be updated                      
---> Package qt-mysql.i386 1:4.5.2-1.fc10 set to be updated                           
---> Package soprano.i386 0:2.2.3-1.fc10 set to be updated                            
--> Running transaction check                                                         
---> Package libmusicbrainz3.i386 0:3.0.2-4.fc10 set to be updated                    
--> Processing Dependency: libdiscid.so.0 for package: libmusicbrainz3                
--> Running transaction check                                                         
---> Package libdiscid.i386 0:0.2.2-1.fc10 set to be updated                          
--> Finished Dependency Resolution                                                    

Dependencies Resolved

=================================================================================================================================
 Package                                 Arch                  Version                              Repository              Size 
=================================================================================================================================
Installing:                                                                                                                      
 phonon-backend-gstreamer                i386                  4.3.1-6.fc10                         updates                 95 k 
 qt                                      i386                  1:4.5.2-1.fc10                       updates                3.8 M 
     replacing  qgtkstyle.i386 0.0-0.2.20081024svn820.fc10                                                                       

Updating:
 amarok                                  i386                  2.1.1-1.fc10                         updates                6.2 M
 kde-filesystem                          noarch                4-23.fc10                            updates                 20 k
 kdelibs                                 i386                  6:4.2.4-6.fc10                       updates                 13 M
 libgpod                                 i386                  0.7.0-1.fc10                         updates                266 k
 phonon                                  i386                  4.3.1-6.fc10                         updates                153 k
 qt-mysql                                i386                  1:4.5.2-1.fc10                       updates                 52 k
 qt-x11                                  i386                  1:4.5.2-1.fc10                       updates                 16 M
 rhythmbox                               i386                  0.11.6-22.r6096.fc10                 updates                4.5 M
 soprano                                 i386                  2.2.3-1.fc10                         updates                682 k
 strigi-libs                             i386                  0.6.5-2.fc10                         updates                494 k
Installing for dependencies:                                                                                                    
 amarok-utils                            i386                  2.1.1-1.fc10                         updates                149 k
 libdiscid                               i386                  0.2.2-1.fc10                         updates                 23 k
 libmusicbrainz3                         i386                  3.0.2-4.fc10                         updates                148 k
 qtscriptbindings                        i386                  0.1.0-5.fc10                         updates                5.4 M
 taglib-extras                           i386                  0.1.6-1.fc10                         updates                 70 k

Transaction Summary
=================================================================================================================================
Install      7 Package(s)                                                                                                        
Update      10 Package(s)                                                                                                        
Remove       0 Package(s)                                                                                                        

Total size: 51 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/config/plasmoids.knsrc from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                                        
  file /usr/share/kde4/servicetypes/plasma-animator.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                     
  file /usr/share/kde4/servicetypes/plasma-applet.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                       
  file /usr/share/kde4/servicetypes/plasma-containment.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                  
  file /usr/share/kde4/servicetypes/plasma-dataengine.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                   
  file /usr/share/kde4/servicetypes/plasma-packagestructure.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                             
  file /usr/share/kde4/servicetypes/plasma-runner.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                       
  file /usr/share/kde4/servicetypes/plasma-scriptengine.desktop from install of kdelibs-6:4.2.4-6.fc10.i386 conflicts with file from package kdebase-workspace-4.1.2-14.fc10.i386                                                                                 

Error Summary
-------------
i really could not make out any thing from this error.

so can you please help me out.

Last edited by lemon09; 08-10-2009 at 10:14 PM.
 
Old 08-12-2009, 02:23 PM   #2
zeno0771
Member
 
Registered: Jun 2006
Location: Northern IL
Distribution: Arch64
Posts: 106

Rep: Reputation: 19
Need to update kdebase-workspace from the looks of it

*Usually* this type of thing is fixed by doing
Code:
[user@host]$ rpm -e --nodeps <name of conflicting pkg>
[user@host]$ yum update
[user@host]$ yum -y install <name of conflicting pkg>
 
Old 08-14-2009, 06:04 PM   #3
lemon09
Member
 
Registered: Jun 2009
Location: kolkata,India
Distribution: Mandriva,openSuse,Mint,Debian
Posts: 259
Blog Entries: 1

Original Poster
Rep: Reputation: 35
i tried it...

the output is>

Code:
$ rpm -e --nodeps kdebase-workspace
error: can't create transaction lock on /var/lib/rpm/__db.000 (Permission denied)
 
Old 08-15-2009, 12:38 AM   #4
zeno0771
Member
 
Registered: Jun 2006
Location: Northern IL
Distribution: Arch64
Posts: 106

Rep: Reputation: 19
Did you do it as root?
 
Old 08-15-2009, 01:09 AM   #5
John VV
Guru
 
Registered: Aug 2005
Posts: 13,488

Rep: Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803Reputation: 1803
what repos do you have turned on .There is one that is incompatible with the rest of fedora ( atrpm i think)
can you post the output of this
Code:
yum repolist
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem in installing amaroK 1.4.3 on RHEL 4 ps_sabu Red Hat 6 12-04-2006 10:42 PM
Problem Installing Amarok on Sarge JmanA9 Debian 4 08-03-2006 01:47 AM
QT error while installing amaroK corbis_demon Slackware 4 05-10-2006 09:15 AM
Help installing amaroK mkoljack Slackware 1 07-23-2005 02:18 AM
Yum Problem installing amarok WBL chrispaz Red Hat 0 05-08-2005 03:59 PM


All times are GMT -5. The time now is 02:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration